import request from '@/utils/request'

export function visitorPersonExport(params) {
  return request({
    url: '/visitorPerson/export',
    method: 'get',
    timeout: 120000,
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}

export function alarmExport(params) {
  return request({
    url: '/alarm/export',
    method: 'get',
    timeout: 120000,
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}

export function deviceExport(params) {
  return request({
    url: '/device/export',
    method: 'get',
    timeout: 120000,
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}

export function personListExport(params) {
  return request({
    url: '/statistics/personListExport',
    method: 'get',
    timeout: 120000,
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}
export function carExport(params) {
  return request({
    url: '/car/export',
    method: 'get',
    timeout: 120000,
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}
export function carListExport(params) {
  return request({
    url: '/statistics/carListExport',
    method: 'get',
    timeout: 120000,
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}

export function personDurationListExport(params) {
  return request({
    url: '/statistics/personDurationListExport',
    method: 'get',
    timeout: 120000,
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}


export function carDurationListExport(params) {
  return request({
    url: '/statistics/carDurationListExport',
    method: 'get',
    timeout: 120000,
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}


export function staffExport(params) {
  return request({
    url: '/staff/export',
    method: 'get',
    timeout: 120000,
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}


export function visitorCarExport(params) {
  return request({
    url: '/visitorCar/export',
    method: 'get',
    timeout: 120000,
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}


export function batchImportStaff(fileobj) {
  const param = new FormData()
  param.append('fs', fileobj)
  return request({
    url: '/staff/imp',
    method: 'post',
    headers: { 'Content-Type': 'multipart/form-data' },
    data: param
  })
}
